Page MenuHomePhabricator

Make chunked uploads default rather than opt-in
Closed, ResolvedPublic

Description

Currently uploading a file larger than 100mb requires opting-in using chunked uploads in preferences. After more than a year as being on opt-in basis i think it is time to remove the default 100mb limit and make the 2GB chunked uploads the new default,

Details

Related Gerrit Patches:
mediawiki/extensions/UploadWizard : wmf/1.33.0-wmf.17i18n: Remove unused 'mwe-upwiz-prefs-chunked' message
mediawiki/extensions/UploadWizard : masteri18n: Remove unused 'mwe-upwiz-prefs-chunked' message
mediawiki/extensions/UploadWizard : masterAlways use Chunked Upload rather than allow users to opt in

Event Timeline

Matanya created this task.Apr 1 2016, 1:42 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptApr 1 2016, 1:42 PM
MarkTraceur triaged this task as Normal priority.Apr 1 2016, 2:09 PM
MarkTraceur added a subscriber: MarkTraceur.

Seems like a good idea to me! I like the idea of more people being able to upload more things, more easily. And the recent changes to the browser requirements for UploadWizard should have removed any possible technical barriers to changing the default.

Change 280915 had a related patch set uploaded (by Reedy):
Enable chunked uploading by default

https://gerrit.wikimedia.org/r/280915

Jdforrester-WMF renamed this task from make chunked uploads deafult rather than opt-in to Make chunked uploads default rather than opt-in.Apr 1 2016, 2:31 PM
Jdforrester-WMF added a project: User-notice.
brion added a subscriber: brion.Apr 3 2016, 12:29 PM
Jdforrester-WMF moved this task from Untriaged to Doing on the Multimedia board.May 2 2016, 4:19 PM
Jdforrester-WMF closed this task as Resolved.May 4 2016, 1:55 PM
Jdforrester-WMF assigned this task to Reedy.
Jdforrester-WMF removed a project: Patch-For-Review.

Change 280915 merged by jenkins-bot:
Always use Chunked Upload rather than allow users to opt in

https://gerrit.wikimedia.org/r/280915

Change 490142 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/UploadWizard@master] i18n: Remove unused 'mwe-upwiz-prefs-chunked' message

https://gerrit.wikimedia.org/r/490142

Change 490142 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] i18n: Remove unused 'mwe-upwiz-prefs-chunked' message

https://gerrit.wikimedia.org/r/490142

Change 490206 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/UploadWizard@wmf/1.33.0-wmf.17] i18n: Remove unused 'mwe-upwiz-prefs-chunked' message

https://gerrit.wikimedia.org/r/490206

Change 490206 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@wmf/1.33.0-wmf.17] i18n: Remove unused 'mwe-upwiz-prefs-chunked' message

https://gerrit.wikimedia.org/r/490206